org.eclipse.ease.lang.unittest.runtime.util

## Class RuntimeAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.ease.lang.unittest.runtime.util.RuntimeAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class RuntimeAdapterFactory
    extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `IRuntimePackage`

### Constructor Summary

Constructors
Constructor and Description
`RuntimeAdapterFactory()` Creates an instance of the adapter factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createMetadataAdapter()` Creates a new adapter for an object of class '`Metadata`'.
`org.eclipse.emf.common.notify.Adapter` `createStackTraceContainerAdapter()` Creates a new adapter for an object of class '`Stack Trace Container`'.
`org.eclipse.emf.common.notify.Adapter` `createTestAdapter()` Creates a new adapter for an object of class '`Test`'.
`org.eclipse.emf.common.notify.Adapter` `createTestClassAdapter()` Creates a new adapter for an object of class '`Test Class`'.
`org.eclipse.emf.common.notify.Adapter` `createTestContainerAdapter()` Creates a new adapter for an object of class '`Test Container`'.
`org.eclipse.emf.common.notify.Adapter` `createTestEntityAdapter()` Creates a new adapter for an object of class '`Test Entity`'.
`org.eclipse.emf.common.notify.Adapter` `createTestFileAdapter()` Creates a new adapter for an object of class '`Test File`'.
`org.eclipse.emf.common.notify.Adapter` `createTestFolderAdapter()` Creates a new adapter for an object of class '`Test Folder`'.
`org.eclipse.emf.common.notify.Adapter` `createTestResultAdapter()` Creates a new adapter for an object of class '`Test Result`'.
`org.eclipse.emf.common.notify.Adapter` `createTestSuiteAdapter()` Creates a new adapter for an object of class '`Test Suite`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuntimeAdapterFactory

    public RuntimeAdapterFactory()

Creates an instance of the adapter factory.

### Method Detail

#### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

#### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

#### createTestEntityAdapter

    public org.eclipse.emf.common.notify.Adapter createTestEntityAdapter()

Creates a new adapter for an object of class '`Test Entity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ITestEntity`

#### createTestContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createTestContainerAdapter()

Creates a new adapter for an object of class '`Test Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ITestContainer`

#### createTestAdapter

    public org.eclipse.emf.common.notify.Adapter createTestAdapter()

Creates a new adapter for an object of class '`Test`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ITest`

#### createTestSuiteAdapter

    public org.eclipse.emf.common.notify.Adapter createTestSuiteAdapter()

Creates a new adapter for an object of class '`Test Suite`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ITestSuite`

#### createTestFolderAdapter

    public org.eclipse.emf.common.notify.Adapter createTestFolderAdapter()

Creates a new adapter for an object of class '`Test Folder`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ITestFolder`

#### createTestClassAdapter

    public org.eclipse.emf.common.notify.Adapter createTestClassAdapter()

Creates a new adapter for an object of class '`Test Class`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ITestClass`

#### createTestResultAdapter

    public org.eclipse.emf.common.notify.Adapter createTestResultAdapter()

Creates a new adapter for an object of class '`Test Result`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ITestResult`

#### createTestFileAdapter

    public org.eclipse.emf.common.notify.Adapter createTestFileAdapter()

Creates a new adapter for an object of class '`Test File`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ITestFile`

#### createStackTraceContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createStackTraceContainerAdapter()

Creates a new adapter for an object of class '`Stack Trace Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `IStackTraceContainer`

#### createMetadataAdapter

    public org.eclipse.emf.common.notify.Adapter createMetadataAdapter()

Creates a new adapter for an object of class '`Metadata`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `IMetadata`

#### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.